import { select, scaleOrdinal, scaleSqrt } from 'd3';
import { colorLegend } from './colorLegend';
import { sizeLegend } from './sizeLegend';


const svg = select('svg');
const height = +svg.attr('height');


//inputs to the 
const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon', 'lime', 'orange'])
  .range(['#c11d1d', '#eae600', 'green', 'orange']);



// alter nate way to write the below code
/*
colorLegend(svg, {
  colorScale,
  height: +svg.attr('height'),
  circleRadius: 30
});
*/
/*
svg.call(colorLegend, {
  colorScale, 
  height: +svg.attr('height'),
  circleRadius: 30
});
*/

svg.append('g')
	.attr('transform', `translate(100, 125)`)
	.call(colorLegend, {
  	colorScale,
  	circleRadius: 30,
  	spacing: 90,
  	textOffset: 110
});

const sizeScale = scaleSqrt()
	.domain([0, 10])
	.range([0, 50]);

//console.log(sizeScale.ticks(10))

svg.append('g')
	.attr('transform', `translate(600, 125) `)
	.call(sizeLegend, {
  	sizeScale,
  	spacing: 80,
  	textOffset: 10,
  	numTicks: 4,
  	circleFill: 'rgba(0,0,0,0.5)'
});